Package org.h2gis.functions.spatial.convert

# Class ST_PointFromWKB

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_PointFromWKB

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_PointFromWKB extends org.h2gis.api.DeterministicScalarFunction
Convert Well Known Binary into a POINT.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_PointFromWKB()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`toPoint(byte[] bytes)`
Convert WKT into a Point
`static org.locationtech.jts.geom.Geometry`
`toPoint(byte[] bytes, int srid)`
Convert WKT into a Point

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_PointFromWKB

public ST_PointFromWKB()

## Method Details

### toPoint

public static org.locationtech.jts.geom.Geometry toPoint(byte[] bytes) throws SQLException, IOException
Convert WKT into a Point

Parameters:
  `bytes` - Byte array
Returns:
  Point instance of null if bytes null
Throws:
  `SQLException` - WKB Parse error
  `IOException`

### toPoint

public static org.locationtech.jts.geom.Geometry toPoint(byte[] bytes, int srid) throws SQLException, IOException
Convert WKT into a Point

Parameters:
  `bytes` - Byte array
  `srid` - SRID
Returns:
  Point instance of null if bytes null
Throws:
  `SQLException` - WKB Parse error
  `IOException`

### getJavaStaticMethod

public String getJavaStaticMethod()